/*
Theme Name: webseide Child 2024
Description: A <a href='http://codex.wordpress.org/Child_Themes'>Child Theme</a> for the webseide Wordpress Theme. If you plan to do a lot of file modifications we recommend to use this Theme instead of the original Theme. Updating wil be much easier then.
Version: 3.0.7
Author: DELUCKS GmbH
Author URI: https://delucks.com/
Template: webseide
*/

/* --- Typo --- */

@import url("https://use.typekit.net/bjc3rgz.css");

.site-content h1,
.site-content h3 {
	font-family: "p22-mackinac-pro", serif;
	font-weight: 500;
	font-style: normal;
}

.site-content h2{
	font-family: "p22-mackinac-pro", serif;
	font-weight: 700;
	font-style: normal;
}

.site-content *.has-huge-font-size,
.site-content *.has-large-font-size,
.site-content .wp-block-quote p {
	font-family: "p22-mackinac-pro", serif;
	font-weight: 500;
}

header#masthead.site-header,
.site-content .wp-block-buttons {
	font-family: "degular-text", sans-serif;
	font-weight: 500;
	font-style: normal;
}

.site-content .wp-block-buttons {
	line-height: 1em;
}

div.site-content .content-area,
.site-content *.has-small-font-size,
.site-content *.has-normal-font-size {
	font-family: "degular", sans-serif;
	font-weight: 400;
	font-style: normal;
}

.entry-meta,
.above-footer {
	font-size: 17px;
}

.site-content .wp-block-button__link {
    font-size: 19px;
}

.wp-block-kadence-rowlayout .wp-block-buttons >.wp-block-button {
	margin-right: 0;
}



/* --- Header --- */
body.dl_initial_transparent #masthead.site-header.dl-scrolling {
    background-color: rgba(22,22,22,0.9);
}
#masthead.site-header.dl-scrolling {
    backdrop-filter: blur(5px);
	background-color: rgba(22,22,22,0.9);
}

.site-header .current-page-ancestor a {
    color: #ffffff;
}


/* Logo */
/*#header-image svg {
    height: 25px;
    margin-top: 28px;
}

.letter {
	fill: #c9c8c7;
	-webkit-transition: all .5s;
	-moz-transition: all .5s;
	transition: all .5s;
}

.home .letter {
	fill: #fff;
}

.nav-scrolled.nav-up .letter {
	fill: #c9c8c7;
}

.home .nav-scrolled.nav-down .letter {
	fill: #fff;
}

.nav-scrolled.nav-down .letter {
	fill: #c9c8c7;
}

.nav-scrolled.nav-up .letter.rest {
    filter:     alpha(opacity = 0);
	-ms-filter: "alpha(opacity = 0)";
	opacity:    0;
}

.nav-scrolled.nav-down .letter.rest {
    filter:     alpha(opacity = 100);
	-ms-filter: "alpha(opacity = 100)";
	opacity:    1;
}*/

li.placeholder.menu-item {
    visibility: hidden;
}

@media (min-width: 800px) {
    .main-navigation ul li.has-multiple-columns ul {
        -webkit-column-count: 2;
        -moz-column-count: 2;
        column-count: 2;
    }
}

/* --- Content --- */

/* Project Logos */
.customers .kadence-blocks-gallery-item,
.customers .kadence-blocks-gallery-item .kadence-blocks-gallery-item-inner img,
.customers .kadence-blocks-gallery-item > .kadence-blocks-gallery-item-inner {
	-webkit-transition: all .5s;
	-moz-transition: all .5s;
	transition: all .5s;
}

.customers li.kadence-blocks-gallery-item > div {
    border: 2px solid #c6c6c6;
}

.customers .kb-gallery-ul .kadence-blocks-gallery-item .kadence-blocks-gallery-item-inner figure .kb-gallery-image-contain.kadence-blocks-gallery-intrinsic img {
	object-fit: contain;
}

.customers figcaption.kadence-blocks-gallery-item__caption {
    margin-top: -40px !important;
	
}

.customers .kadence-blocks-gallery-item__caption strong {
    position: absolute;
    top: 0;
    font-size: 14px;
    right: 10px;
    font-weight: normal !important;
	color: #90c490;
}

.kadence-blocks-gallery-item-inner {
	padding-bottom: 25px;
}

.customers .kadence-blocks-gallery-item .kadence-blocks-gallery-item-inner img {
	filter: grayscale(1) invert(1) brightness(1.5);	
}

.customers .kadence-blocks-gallery-item:hover .kadence-blocks-gallery-item-inner img {
	filter: grayscale(0) invert(0) brightness(1);
}

.customers .kadence-blocks-gallery-item:hover > .kadence-blocks-gallery-item-inner {
	background: #fff;
}

.customers .kb-gallery-ul .kadence-blocks-gallery-item:hover .kadence-blocks-gallery-item-inner .kadence-blocks-gallery-item__caption,
.customers .kadence-blocks-gallery-item:hover strong {
    color: #000;
}

.customers .kb-gallery-caption-style-below .kadence-blocks-gallery-item .kadence-blocks-gallery-item-inner .kadence-blocks-gallery-item__caption {
	padding: 8px;
}

.customers .kb-gallery-ul .kadence-blocks-gallery-item .kadence-blocks-gallery-item-inner figure .kb-gallery-image-contain.kadence-blocks-gallery-intrinsic img {
	outline-offset: 0;
}

@media (min-width: 800px){
	.customers .kb-gallery-ul .kadence-blocks-gallery-item .kadence-blocks-gallery-item-inner img {
		padding: 15px;
	}
}

/* Project Cases */

.home .wp-block-image.is-style-rounded img,
.parent-pageid-22732 .kt-has-2-columns .wp-block-image .is-style-rounded img, 
.parent-pageid-22732 .kt-has-2-columns .wp-block-image.is-style-circle-mask img, 
.parent-pageid-22732 .kt-has-2-columns .wp-block-image.is-style-rounded img {
	border-radius: 25px;
	border: 2px solid #ffffff;
}

.site-content .wp-block-quote {
    border-left: none;
    padding-left: 0;
    margin-bottom: 0;
}

.site-content .wp-block-quote cite {
    font-size: .7em;
	margin-top: -1em;
}

/* Kundenstimmen */
.kundenstimmen,
.kundenstimmen a {
    color: #ffff73;
    font-size: 18px;
}

/* Google Reviews */
a.google-reviews {
    font-size: .8em;
    margin-top: 1em;
	margin-bottom: 1em;
	display: block;
}

#google-business-reviews-rating ul {
    list-style: none;
    padding: 0;
}

#google-business-reviews-rating .listing li {
    padding: 1em;
    background: #8c8c8c0a;
}

#google-business-reviews-rating .author-name,
#google-business-reviews-rating .rating,
#google-business-reviews-rating .relative-time-description {
    font-size: .8em;
	color: #c9c8c7;
}

#google-business-reviews-rating span.author-avatar {
    display: none;
}

#google-business-reviews-rating .rating {
    color: #ffff73;
}

#google-business-reviews-rating .text {
    margin-top: .5em;
	color: #fff;
}

@media (max-width: 799px){
	.google-reviews span {
		margin-left: 5px !important;
        margin-top: -2px !important;
		color: #fbbc03;
	}
}

@media (min-width: 800px){
    #google-business-reviews-rating ul {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        column-gap: 30px;
        max-width: 1080px;
    }
	
	#google-business-reviews-rating .text {
		height: 100%;
	}
}

/* Forms */
.validation_message {
    display: none;
}

div .gform_legacy_markup_wrapper table.gsurvey-likert tr:nth-child(odd) .gsurvey-likert-row-label, 
div .gravity-theme table.gsurvey-likert tr:nth-child(odd) .gsurvey-likert-row-label,
div .gform_legacy_markup_wrapper table.gsurvey-likert th.gsurvey-likert-choice-label, 
div .gravity-theme table.gsurvey-likert th.gsurvey-likert-choice-label {
    background-color: #00000014;
}

div .gform_legacy_markup_wrapper table.gsurvey-likert .gsurvey-likert-row-label, 
div .gravity-theme table.gsurvey-likert .gsurvey-likert-row-label {
	background-color: transparent;
}

.gform_wrapper.gravity-theme .ginput_container_image_choice .gchoice label {
    font-size: 18px !important;
    line-height: 1em;
}

div .gform_body input[type="checkbox"]:checked, 
div .gform_body input[type="radio"]:checked {
    background-color: #c398e0;
}

div .gform_wrapper.gravity-theme .description, 
div .gform_wrapper.gravity-theme .gfield_description, div .gform_wrapper.gravity-theme .gsection_description, div .gform_wrapper.gravity-theme .instruction {
    font-size: 18px;
	line-height: 1.2em;
}

/* Blog */
.author-bio {
    font-size: 20px;
    line-height: 1.3em;
}

/* --- Footer --- */
#bottom_right a.button.movetotoparrow.chevron.top {
    padding: .5em .75em !important;
	backdrop-filter: blur(5px);
    background-color: rgba(0, 0, 0, 0.2);
	color: #ffffff;
}

